# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

org.apache.sling.distribution.journal.bookkeeper.BookKeeper
Modifier and Type
Constant Field
Value
`public static final int`
`COMMIT_AFTER_NUM_SKIPPED`
`10`
`public static final String`
`KEY_OFFSET`
`"offset"`
`public static final String`
`STORE_TYPE_STATUS`
`"statuses"`
org.apache.sling.distribution.journal.bookkeeper.SubscriberMetrics
Modifier and Type
Constant Field
Value
`public static final String`
`SUB_COMPONENT`
`"distribution.journal.subscriber."`

org.apache.sling.distribution.journal.impl.discovery.DiscoveryService
Modifier and Type
Constant Field
Value
`public static final String`
`KEY_MESSAGE`
`"message"`
`public static final String`
`TOPIC_DISTRIBUTION_LOG`
`"org/apache/sling/distribution/journal/log"`

org.apache.sling.distribution.journal.impl.event.DistributionEvent
Modifier and Type
Constant Field
Value
`public static final String`
`PACKAGE_ID`
`"distribution.package.id"`

org.apache.sling.distribution.journal.impl.publisher.DistributionPublisher
Modifier and Type
Constant Field
Value
`public static final String`
`FACTORY_PID`
`"org.apache.sling.distribution.journal.impl.publisher.DistributionPublisherFactory"`
org.apache.sling.distribution.journal.impl.publisher.PackageDistributedNotifier
Modifier and Type
Constant Field
Value
`public static final String`
`STORE_TYPE_OFFSETS`
`"lastRaisedEventOffset"`
org.apache.sling.distribution.journal.impl.publisher.PublisherConfiguration
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_QUEUE_SIZE_LIMIT`
`1000`
org.apache.sling.distribution.journal.impl.publisher.PublishMetrics
Modifier and Type
Constant Field
Value
`public static final String`
`PUB_COMPONENT`
`"distribution.journal.publisher."`
org.apache.sling.distribution.journal.impl.publisher.RangePoller
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_SEED_DELAY_SECONDS`
`30`

org.apache.sling.distribution.journal.impl.subscriber.SubscriberReady
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_RETRIES`
`10`

org.apache.sling.distribution.journal.queue.QueueItemFactory
Modifier and Type
Constant Field
Value
`public static final String`
`PACKAGE_MSG`
`"packageMessage"`
`public static final String`
`RECORD_OFFSET`
`"recordOffset"`
`public static final String`
`RECORD_PARTITION`
`"recordPartition"`
`public static final String`
`RECORD_TIMESTAMP`
`"recordTimestamp"`
`public static final String`
`RECORD_TOPIC`
`"recordTopic"`

org.apache.sling.distribution.journal.shared.JMXRegistration
Modifier and Type
Constant Field
Value
`public static final String`
`DOMAIN`
`"org.apache.sling.distribution"`
org.apache.sling.distribution.journal.shared.Topics
Modifier and Type
Constant Field
Value
`public static final String`
`COMMAND_TOPIC`
`"aemdistribution_command"`
`public static final String`
`DISCOVERY_TOPIC`
`"aemdistribution_discovery"`
`public static final String`
`EVENT_TOPIC`
`"aemdistribution_event"`
`public static final String`
`PACKAGE_TOPIC`
`"aemdistribution_package"`
`public static final String`
`STATUS_TOPIC`
`"aemdistribution_status"`